Upload and redeploy a new war or ear file for the application
PUT/qsystem/rest/config/applications/:applicationId/deployment
Upload and redeploy a new war or ear file for the application.
-
The name of the file must begin with the application's path which was created when adding the application, i.e. if the path is "application1" then the file you wish to upload must have the prefix "application1" in its name.
-
The prefix is verified in a case-insensitive manner.
-
For example, if the file you wish to upload is a war file, then it could be named like "application1-backend.war", "Application1.war", etc.
You can only redeploy applications that have been deployed via this rest api.
The file will be uploaded and the application server will automatically redeploy it within a couple of minutes.
curl -u user:password -i -X PUT -F 'file=@{PATH_TO_FILE}' http://orchestra-host:orchestra-port/qsystem/rest/config/applications/{applicationId}/deployment
Request
Responses
- 204
Success